D-Bus: DBusRealHashIter Struct Reference

D-Bus 1.16.2

Data Fields
DBusRealHashIter Struct Reference
D-Bus secret internal implementation details » Hash table implementation details

Internals of DBusHashIter. More...

## Data Fields
DBusHashTable * | table
| Pointer to table containing entry.
DBusHashEntry ** | bucket
| Pointer to bucket that points to first entry in this entry's chain: used for deleting the entry.
DBusHashEntry * | entry
| Current hash entry.
DBusHashEntry * | next_entry
| Next entry to be iterated onto in current bucket.
int | next_bucket
| index of next bucket
int | n_entries_on_init
| used to detect table resize since initialization

## Detailed Description

Internals of DBusHashIter.

Definition at line 219 of file dbus-hash.c.

## Field Documentation

## ◆ bucket

DBusHashEntry** DBusRealHashIter::bucket

Pointer to bucket that points to first entry in this entry's chain: used for deleting the entry.

Definition at line 222 of file dbus-hash.c.

Referenced by _dbus_hash_iter_init(), _dbus_hash_iter_lookup(), _dbus_hash_iter_next(), and _dbus_hash_iter_remove_entry().

## ◆ entry

DBusHashEntry* DBusRealHashIter::entry

Current hash entry.

Definition at line 226 of file dbus-hash.c.

Referenced by _dbus_hash_iter_get_int_key(), _dbus_hash_iter_get_string_key(), _dbus_hash_iter_get_uintptr_key(), _dbus_hash_iter_get_value(), _dbus_hash_iter_init(), _dbus_hash_iter_lookup(), _dbus_hash_iter_next(), _dbus_hash_iter_remove_entry(), and _dbus_hash_iter_set_value().

## ◆ n_entries_on_init

int DBusRealHashIter::n_entries_on_init

used to detect table resize since initialization

Definition at line 229 of file dbus-hash.c.

Referenced by _dbus_hash_iter_init(), _dbus_hash_iter_lookup(), and _dbus_hash_iter_next().

## ◆ next_bucket

int DBusRealHashIter::next_bucket

index of next bucket

Definition at line 228 of file dbus-hash.c.

Referenced by _dbus_hash_iter_init(), _dbus_hash_iter_lookup(), and _dbus_hash_iter_next().

## ◆ next_entry

DBusHashEntry* DBusRealHashIter::next_entry

Next entry to be iterated onto in current bucket.

Definition at line 227 of file dbus-hash.c.

Referenced by _dbus_hash_iter_init(), _dbus_hash_iter_lookup(), and _dbus_hash_iter_next().

## ◆ table

DBusHashTable* DBusRealHashIter::table

Pointer to table containing entry.

Definition at line 221 of file dbus-hash.c.

Referenced by _dbus_hash_iter_get_int_key(), _dbus_hash_iter_get_string_key(), _dbus_hash_iter_get_uintptr_key(), _dbus_hash_iter_get_value(), _dbus_hash_iter_init(), _dbus_hash_iter_lookup(), _dbus_hash_iter_next(), _dbus_hash_iter_remove_entry(), and _dbus_hash_iter_set_value().

The documentation for this struct was generated from the following file:

- dbus-hash.c